import { memo } from 'react';

import classes from './Error.module.css';

function Error({ message }) {
  console.log('Wykonanie funkcji tworzącej komponent <Error />.');
  if (!message) {
    return null;
  }

  return <p className={classes.error}>{message}</p>;
}

// export default Error;

// Użyj poniższego wiersza, aby uniknąć niepotrzebnego przetwarzania komponentu.
export default memo(Error);
